closest_point.hpp File Reference

GLM_GTX_closest_point More...

Go to the source code of this file.

## Functions

template<typename T , precision P>
GLM_FUNC_DECL tvec3< T, P > | closestPointOnLine (tvec3< T, P > const &point, tvec3< T, P > const &a, tvec3< T, P > const &b)
| Find the point on a straight line which is the closet of a point. More...
template<typename T , precision P>
GLM_FUNC_DECL tvec2< T, P > | closestPointOnLine (tvec2< T, P > const &point, tvec2< T, P > const &a, tvec2< T, P > const &b)
| 2d lines work as well

## Detailed Description

GLM_GTX_closest_point

See also
  GLM Core (dependence)

Definition in file closest_point.hpp.